global {
  int BaseOs            "&BaseOs";
}

#define _BaseOs_Unknown 0
#define _BaseOs_Dos     1
#define _BaseOs_Os2     2
#define _BaseOs_Nt      3
#define _BaseOs_Windows 4

prototype IdExe {
  int IdExe( str Program );
  int GetDosVersion( );
  int IsOs2( );
}

#define _Exe_Id_Unknown 0x0000
#define _Exe_Id_Dos     0x0001
#define _Exe_Id_Windows 0x0002
#define _Exe_Id_Os2     0x0004
#define _Exe_Id_Nt      0x0008
#define _Exe_Id_Bound   0x8000
